/* data.h -- definitions for data module

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

data contains very general-purpose data that might be of use
to various programs.  While not all programs might not need all
things contained here, they are sufficiently general to be
included here.  Things that are more specific should be in more
specific places.

*/


#ifndef	H_DATA			/* For multiple inclusions */
#define	H_DATA


#ifdef	D_DATA			/* For local scope */
# define	EXTERN
#else
# define	EXTERN	extern
#endif	/* D_DATA */


EXTERN	MML_DNS	*DnsP;			/* Handle for DNS routines */
EXTERN	BSTR	*Gbs1P;			/* General-purpose BSTR buffer */
EXTERN	BSTR	*Gbs2P;			/*   ...   */
EXTERN	BSTR	*Gbs3P;			/*   ...   */
EXTERN	BSTR	*GtkbsP;		/* General-purpose token BSTR */
EXTERN	TKNS	*GtknsP;		/* General-purpose tokens info */
EXTERN	char	*MyhomedirP;		/* My home directory */
EXTERN	int	Myuid;			/* My user ID */
EXTERN	char	*MyusernameP;		/* My username */
EXTERN	char	*TmpdirP;		/* Directory for any temporary files */

    /* Stuff about the mail from the environment */
EXTERN	REFSTR	*E_RecipP;		/* Envelope recipient */
EXTERN	REFSTR	*E_SenderP;		/* Envelope sender */

    /* Stuff we glean from the headers */
EXTERN	BOOL	From_F;			/* If "From " header seen */

/* Declarations for functions contained in this module: */

    /* Return the path to the program's data directory */
char	*data_directory PROTO( (BOOL createF) );

    /* Initialize all data data */
BOOL	data_init PROTO( (void) );

#endif	/* H_DATA */
