/* dnsbl.h -- definitions for the dnsbl module

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Functions dealing with DNS blacklist processing

*/


#ifndef	H_MVMF_DNSBL		/* For multiple inclusions */
#define	H_MVMF_DNSBL



/* Declarations for functions contained in this module: */

    /* Check IP address against a DNSBL */
BOOL	dnsbl_check_ip PROTO( (char *ipP, char *blnameP, char *rnameP ) );

    /* Check responsible IP addresses listed in OMM against a DNSBL */
BOOL	dnsbl_check_omm PROTO( (void *ommP, char *blnameP, char *rnameP ) );

    /* Initialize DNSBL processing */
BOOL	dnsbl_init PROTO( (void) );

    /* Walk the DNSBL list */
void	dnsbl_walk PROTO( (BOOL (*rtc)()) );

#endif	/* H_MVMF_DNSBL */
