/* errwarn.h -- definitions for the "errwarn.c" module

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Error and warning messages for mvmf and mfl

*/


#ifndef	H_MVMF_ERRWARN		/* For multiple inclusions */
#define	H_MVMF_ERRWARN

#ifdef	D_MVMF_ERRWARN		/* For things local to the main module */

    /* syslog facility used */
#define	MVMF_LOGFACILITY	LOG_LOCAL5

#endif	/* D_MVMF_ERRWARN */

/* Declarations for functions contained in this module: */

/* Note: the use of "..." pretty much guarantees we are using stdc with
   function prototypes.  If somebody needs to generalize this to work
   in non-stdc and non-prototype environments, that remains to be done.
*/

    /* Begin logging */
void	log_begin PROTO( (void) );

    /* Log to both private and system logs */
void	log_both PROTO( (char *fmtP, ...) );

    /* Signify end of logging */
void	log_end PROTO( (void) );

    /* Log to private (personal) log */
void	log_priv PROTO( (char *fmtP, ...) );

    /* Log to system log */
void	log_sys PROTO( (char *fmtP, ...) );

    /* Print an error message to stderr and exit */
void	error PROTO( (char *fmtP, ...) );

    /* Print a warning message to stderr for mfl functions */
void	mfl_warning PROTO( ( MML_IN *inP, char *fmtP, ...) );

    /* Print a warning message to stderr */
void	warning PROTO( (char *fmtP, ...) );

#endif	/* H_MVMF_ERRWARN */
