/* mfl-exec.h -- definitions for the mfl-exec module

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Definitions for mfl-exec

*/


#ifndef	H_MFL_EXEC		/* For multiple inclusions */
#define	H_MFL_EXEC



/* Declarations for functions contained in this module: */

    /* Execute a "break" statement */
STSCODE	exec__break PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "C" statement */
STSCODE	exec__c PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "continue" statement */
STSCODE	exec__continue PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "do" statement */
STSCODE	exec__do PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "for" statement */
STSCODE	exec__for PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "if" statement */
STSCODE	exec__if PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "pv$" statement */
STSCODE	exec__pv_ PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "return" statement */
STSCODE	exec__return PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "sizeof" statement */
STSCODE	exec__sizeof PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a "while" statement */
STSCODE	exec__while PROTO( (PTNODE *nodeP, VALUE *rvalP ) );

    /* Execute a declaration */
STSCODE	exec_decl PROTO( (PTNODE *nodeP) );

    /* Setup value for declaration */
STSCODE	exec_decl_value PROTO( (VSYM *vsymP, VALUE *valP, PTNODE *itreeP) );

    /* Setup value for declaration of an array */
STSCODE	exec_decl_value_array PROTO( (VSYM *vsymP, VALUE *valP,
				       PTNODE *itreeP) );

    /* Setup initial function definition */
STSCODE	exec_decl_value_func PROTO( (VSYM *vsymP, PTNODE *treeP,
				     PTNODE *trnodeP) );

    /* Setup value for declaration of a struct */
STSCODE	exec_decl_value_struct PROTO( (VSYM *vsymP, VALUE *valP,
				       PTNODE *itreeP) );

    /* Execute and delete a parse tree */
STSCODE	exec_tree PROTO( (PTNODE *treeP, BOOL printF) );

    /* Execute a tree, get value, maybe print value  */
STSCODE	exec_treeval PROTO( (PTNODE *nodeP, VALUE *rvalP, BOOL printF ) );

    /* Execute a typedef tree [branch] */
STSCODE	exec_typedef PROTO( (PTNODE *treeP) );

#endif	/* H_MFL_EXEC */
