/* mfl-misc.h -- definitions for the mfl-misc module

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Definitions for mfl-misc

*/


#ifndef	H_MFL_MISC		/* For multiple inclusions */
#define	H_MFL_MISC



/* Declarations for functions contained in this module: */

    /* Initialize mfl */
STSCODE	mfl_init PROTO( (void) );

    /* Create an MFL array from an internal linked list of strings */
BOOL	mfl_array_from_list_strings PROTO( (char *anameP, int arrayL,
					    LL_HEAD *listP) );

    /* Supply program arguments to mfl */
BOOL	mfl_program_args PROTO( (int argC, char **argV, int argN) );

    /* Run mfl code from a named file */
STSCODE	mfl_run_fname PROTO( (VALUE *rvalP, ESTR *fnesP, ESTR *msesP) );

    /* Run mfl code from a file pointer */
STSCODE	mfl_run_fp PROTO( (VALUE *rvalP, FILE *fP,
			   ESTR *msesP, char *fnameP) );

    /* Run mfl code from an input stream */
STSCODE	mfl_run_in PROTO( (VALUE *rvalP, MML_IN *inP, ESTR *msesP) );

    /* Run mfl code that's in a string */
STSCODE	mfl_run_str PROTO( (VALUE *rvalP, ESTR *mflesP, ESTR *msesP) );

#endif	/* H_MFL_MISC */
