/* mfl-pp.h -- definitions for the mfl-pp module

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Preprocessor definitions

*/


#ifndef	H_MFL_PP		/* For multiple inclusions */
#define	H_MFL_PP


    /* Define this to allow spaces to appear between a macro name and the
       open paren that starts its arguments.
    */
#define	PP_SAMN				/* Space after macro name */
   
#define	PP_ARGMAX	10		/* Maximum number of arguments */


    /* SYMTAB ENTRY: preprocessor symbol table */
typedef struct {
    SYMSTR	pp_sym;			/* Symbol prolog */
    int		pp_argC;		/* Number of arguments */
    BSTR	*pp_bodyP;		/* Ptr to macro body */
    BOOL	pp_blue;		/* "Painted Blue" */
}  PPSYM;


    /* The include file/path types */
typedef enum {
    INC_SYSTEM,				/* system-wide (<...>) */
    INC_USER				/* user ("...") */
}  MFLINCTYPE;


/* Declarations for functions contained in this module: */

    /* Process a preprocessor directive */
STSCODE	pp_directive PROTO( (MML_IN *inP) );

    /* Add a directory to the include directory search path */
BOOL	pp_incdir PROTO( (MFLINCTYPE inctype, ESTR *dirnameP) );

    /* Initialize the preprocessor */
BOOL	pp_init PROTO( (void) );

    /* Invoke a macro */
STSCODE	pp_invoke PROTO( (MML_IN *inP, PPSYM *symP) );


#endif	/* H_MFL_PP */
