/* mvmda.h -- primary definitions for the mvmda application

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

General definitions for the mvmda application.

*/


#ifndef	H_MVMDA			/* For multiple inclusions */
#define	H_MVMDA


/***********************************************************************
 *                                                                     *
 *   Configuration items that you may want to look at and/or change    *
 *                                                                     *
 ***********************************************************************/

    /* mvmda must have a system-wide MFL script that controls its
       execution.  A lot of logic that might otherwise have been
       embedded into the mvmda source code is punted to this system-wide
       RC file.  If there is no system-wide RC file available, mvmda
       will refuse to run (or, if you must, you can use a configuration
       option to supply a canned built-in script as an alternative).
    */
       
    /* System-wide RC file.  Must be defined. */
#define	MVMDA_SYSRC	MVMF_LIBDIR "/mvmda/mvmda-rc.mfl"



/***********************************************************************
 *                                                                     *
 *   Configuration items that you are less likely to need to change    *
 *                                                                     *
 ***********************************************************************/



/* ***** Files within MVMF_LIBDIR ***** */
    /* The system-wide include file directory.  When a user's MFL script
       does an #include <xx>, this is one of the directories that is
       searched for xx.
    */
#define	MVMDA_INCDIR	MVMF_LIBDIR "/include"


/***********************************************************************
 *                                                                     *
 *    Beyond here are things that you probably don't want to touch.    *
 *                                                                     *
 ***********************************************************************/


    /* Operating modes */
typedef enum {
	OM_NONE,			/* None specified */
	OM_CHECK,			/* "check script" mode */
	OM_NORMAL,			/* Normal */
	OM_INTERACTIVE,			/* Interactive */
	OM_VERSION,			/* Print version info */
	OM_CONTROLS			/* Print controls */
} OPMODE;



/* Declarations for functions contained in this module: */

#endif	/* H_MVMDA */
