/* smtpd.h -- definitions for the mvmta's "smtpd" module

	Copyright 2003,2004,2005,2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Definitions for smtpd driver

*/


#ifndef	H_SMTPD		/* For multiple inclusions */
#define	H_SMTPD

    /* Default timeouts */
#define	SMTPD_TOSEC_GENERAL	300	/* General timeout */

    /* Various other limits */
#define	SMTPD_ADDRS_MAX		1000	/* Maximum number of delivery addresses */
#define	SMTPD_ADDRS_CHUNK	100	/* Chunk size for allocating delivery table */
#define	SMTPD_RCPTS_MAX		1000	/* Maximum number of RCPT-TOs handled */
#define	SMTPD_RCPTS_CHUNK	100	/* Chunk size for allocating RCPT-TOs */


    /* A destination address; each destination address implicated in a
       transaction is remembered in one of these.  Multiple addresses
       will point to the same one.
    */
typedef struct {
    XMTPMBX	sd_mbx;			/* The mailbox (address) */
    int		sd_acceptance;		/* Acceptance value */
}  SMTP_DEST;


    /* Structure for an SMTP recipient (from rcpt-to).  Each rcpt-to seen
       will reference a destination address.
    */
typedef struct {
    SMTP_DEST	*sr_destP;		/* Ptr to destination address */
}  SMTP_RCPT;



/* Declarations for functions contained in this module: */

    /* The smtpd driver */
STSCODE	smtpd PROTO( (XMTP *xmtP) );

    /* Log some info for smtpd in a standard way */
void	smtpd_log PROTO( (XMTP *xmtP, char *kwdP, char *logP,
			    char *fmtP, ...) );

    /* Reset the smtpd state for new dialog */
STSCODE	smtpd_reset_transaction PROTO( (XMTP *xmtP) );

#endif	/* H_SMTPD */
