/* mvmcas-command.h -- definitions for the mvmcas "mvmcas-command" module

	Copyright 2006,2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Fundamental command interface

*/


#ifndef	H_MVMCAS_COMMAND	/* For multiple inclusions */
#define	H_MVMCAS_COMMAND

    /* Command control block */
typedef struct mccmd {
    struct mccmd *mc_nextP;	/* For free list */
    BOOL	mc_statefulF;	/* TRUE if this command mode is stateful */
    AGENT	*mc_agentP;	/* Ptr to the agent data */
    int		mc_rcode;	/* Numeric result code */
    BSTR	*mc_rstrP;	/* Result string */
    BSTR	*mc_bsP;	/* General BSTR */
    UBYTE	*mc_cmdP;	/* Internal use: keeps track of 
				   command buffer location.
				*/
}  MCCMD;
    

/* Declarations for functions contained in this module: */

    /* Process a command */
STSCODE	mvmcas_command PROTO( (MCCMD *mccP, UBYTE *cmdbufP) );

    /* Begin a command processing context */
MCCMD	*mvmcas_command_context_begin PROTO( (AGENT *agentP) );

    /* End a command processing context */
void	mvmcas_command_context_end PROTO( (MCCMD *mccP) );

#endif	/* H_MVMCAS_COMMAND */
